/* LSAGPI                                       */
/* Desarrollado por Miguel Angel Pescador Santirso  */
/* mescadorsantirso@gmail.com                       */

/* LICENCIA X11/MIT
Copyright (c) 2010 Miguel Angel Pescador Santirso

Se autoriza, de forma gratuita, a cualquier
persona que ha obtenido una copia de este software y
archivos asociados de documentación (el "Software"), para tratar en el
Software sin restricción, incluyendo sin ninguna limitación en lo que concierne
los derechos para usar, copiar, modificar, fusionar, publicar,
distribuir, sublicenciar, y / o vender copias de este
Software, y para permitir a las personas que usan el Software para
hacerlo, con sujeción a las siguientes condiciones:

El aviso de copyright anterior y este aviso de permiso
se incluirá en todas las copias o partes sustanciales de
este Software.

EL SOFTWARE SE ENTREGA "TAL CUAL", SIN GARANTÍA DE NINGÚN
TIPO, EXPRESA o implícita, no limitado a la GARANTÍAS DE
COMERCIALIZACIÓN, CAPACIDAD DE HACER Y DE NO INFRACCIÓN DE COPYRIGHT. EN NINGÚN
CASO LOS AUTORES O TITULARES DEL COPYRIGHT SERÁN RESPONSABLES DE
NINGUNA RECLAMACIÓN, daños o OTRAS RESPONSABILIDADES,
YA SEA EN UN LITIGIO, agravio o DE OTRO MODO,
DERIVADAS DE, FUERA DE O EN CONEXION CON EL
SOFTWARE SU UTILIZACIÓN U OTRAS OPERACIONES EN EL SOFTWARE.
*/


package lsagpi;

import java.awt.Color;
import java.awt.Image;
import java.util.StringTokenizer;
import java.util.Vector;
import javax.swing.ImageIcon;

/**
 * Clase que parsea el Inventario.
 * @author Miguel Angel Pescador Santirso.
 */
public class Inventario {
int TAMANO;
int[] tinta=new int[3];
int[] papel=new int[3];
Vector imagenes=new Vector();
/**
 * Constructor del Inventario.
 * @param descripcion Descripcion del inventario.
 */
    public Inventario(String descripcion){
        StringTokenizer st = new StringTokenizer(descripcion,"\n",true);
        //nombre=st.nextToken();
        while (st.hasMoreTokens())
		{
            String cadena=st.nextToken();
            if(cadena.indexOf("TINTA")!=-1){
                System.out.println("Una tinta");
                StringTokenizer num_tok=new StringTokenizer(cadena," ");
                String num=new String("");
                while(num_tok.hasMoreTokens()){
                    num=num_tok.nextToken();
                    if(num.equals("TINTA"));
                    if(num.equals("{")){

                        tinta[0]=Integer.parseInt(num_tok.nextToken());
                        tinta[1]=Integer.parseInt(num_tok.nextToken());
                        tinta[2]=Integer.parseInt(num_tok.nextToken());
                    }

                }
                System.out.println("Tinta :"+tinta[0]+":"+tinta[1]+":"+tinta[2]);
            }
            if(cadena.indexOf("TAMAÑO")!=-1){
                System.out.println("Tamaño");
                StringTokenizer icon_tok=new StringTokenizer(cadena,"{");
                while(icon_tok.hasMoreTokens()){
                    if(icon_tok.nextToken().indexOf("TAMAÑO")>-1){
                        String color=icon_tok.nextToken();
                       TAMANO=Integer.parseInt(color.substring(0,color.indexOf("}")-1).trim());
                    }

                }
                System.out.println("Tamaño: "+TAMANO);
            }
            if(cadena.indexOf("PAPEL")!=-1){
                System.out.println("Un papel");
                StringTokenizer num_tok=new StringTokenizer(cadena," ");
                String num=new String("");
                while(num_tok.hasMoreTokens()){
                    num=num_tok.nextToken();
                    if(num.equals("PAPEL"));
                    if(num.equals("{")){

                        papel[0]=Integer.parseInt(num_tok.nextToken());
                        papel[1]=Integer.parseInt(num_tok.nextToken());
                        papel[2]=Integer.parseInt(num_tok.nextToken());
                    }

                }
                System.out.println("Papel :"+papel[0]+":"+papel[1]+":"+papel[2]);
            }
            if(cadena.indexOf("IMAGEN")!=-1){
                System.out.println("Una imagen");
                while(cadena.indexOf("{")==-1){
                    cadena=st.nextToken();
                }
                while(cadena.indexOf("}")==-1){
                    cadena=st.nextToken();
                    
                    StringTokenizer icon_tok=new StringTokenizer(cadena,"\"");
                    while(icon_tok.hasMoreTokens()){
                        icon_tok.nextToken();
                        if(icon_tok.hasMoreTokens())
                        imagenes.add(new ImageIcon(icon_tok.nextToken()));
                    }
                
                }
                 for (int j=0;j<imagenes.size();j++)
                    System.out.println(imagenes.get(j).toString());
            }
               
            }
        }
    /**
     * Devuelve la Imagen del inventario solicitada.
     * @param i Imagen del inventario 0:flecha arriba 1:flecha arriba pulsada 2:flecha abajo 3:flecha abajo pulsada.
     * @return Image imagen devuelta.
     */
    public Image getImagen(int i){
        return (new ImageIcon(imagenes.get(i).toString())).getImage();
    }
    public Color getTinta(){
        return new Color(tinta[0],tinta[1], tinta[2]);
    }
    public Color getPapel(){
        return new Color(papel[0],papel[1], papel[2]);
    }
}
